Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libgnomemm
Version:	2.22.0
Release:	1
License:	GNU/LGPL 
URL:		ftp://ftp,gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	C++ Interface for GNOME libs
BuildRequires:	ORBit2-devel
BuildRequires:	atk-devel
BuildRequires:  libbonobo-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  GConf-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  glibmm-devel
BuildRequires:  libgnome-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  gtk2+-devel
BuildRequires:  gtkmm-devel
BuildRequires:  pango-devel
BuildRequires:  libsigc++-devel
BuildRequires:  libstdc++-devel

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
This package provides a C++ interface for GnomeUI. It is a subpackage
of the GTK-- project. The interface provides a convenient interface
for C++ programmers to create GNOME GUIs with GTK+'s flexible
object-oriented framework.

%package 	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description 	devel
Header and include files for developing applications with %{name}.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build

./configure \
--prefix=$(pkg-config --variable=prefix ORBit-2.0) \
--sysconfdir=%_sysconfdir/gnome \
--localstatedir=/var/lib \
--mandir=$(pkg-config --variable=prefix ORBit-2.0)/share/man \
--libexecdir=%_gnomedir/sbin \
--disable-debug \
--enable-optimize \
--enable-final
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/%{name}-2.6
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 25 2008 Christian Wasem <wasem@ccux-linux.de> 2.22.0-1
- Version update
* Sun Aug 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.16.0-1
- Initial Release
